Package tigase.server.xmppclient

# Class ClientTrustManagerFactory.ClientTrustVHostItemExtension

java.lang.Object
tigase.vhosts.VHostItemExtension<T>
tigase.vhosts.AbstractVHostItemExtension<ClientTrustManagerFactory.ClientTrustVHostItemExtension>
tigase.server.xmppclient.ClientTrustManagerFactory.ClientTrustVHostItemExtension

All Implemented Interfaces:
  `VHostItemExtensionBackwardCompatible<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`, `VHostItemExtensionIfc<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`

Enclosing class:
  ClientTrustManagerFactory

public static class ClientTrustManagerFactory.ClientTrustVHostItemExtension extends AbstractVHostItemExtension<ClientTrustManagerFactory.ClientTrustVHostItemExtension> implements VHostItemExtensionBackwardCompatible<ClientTrustManagerFactory.ClientTrustVHostItemExtension>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CA_CERT_PATH`
  `static final String`
  `CERT_REQUIRED`
  `protected static final String`
  `ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientTrustVHostItemExtension()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCommandFields(String prefix, Packet packet, boolean forDefault)`
  Method adds custom extension fields to the ad-hoc form which will be sent to the user for filling with data required to create or update the VHost details.
  `String`
  `getCaCertPath()`
  `String`
  `getId()`
  Unique identifier of the extension.
  `void`
  `initFromCommand(String prefix, Packet packet)`
  Method initializes instance of a class with values provided by the user using ad-hoc command.
  `void`
  `initFromData(Map<String,Object> data)`
  `void`
  `initFromElement(Element item)`
  Method initializes instances of a class with values from the element which contains configuration loaded from the database.
  `Boolean`
  `isCertRequired()`
  `ClientTrustManagerFactory.ClientTrustVHostItemExtension`
  `mergeWithDefaults(ClientTrustManagerFactory.ClientTrustVHostItemExtension defaults)`
  Abstract method required to be implemented for merging values stored in this instance with default settings stored in the default virtual host item (global or default settings of the installation).
  `String`
  `toDebugString()`
  Returns a string containing all information about the instance of the extension useful for debugging.
  `Element`
  `toElement()`
  Method serializes data stored by this instance to element which will be then stored in the database.

  ### Methods inherited from class tigase.vhosts.AbstractVHostItemExtension

  `addBooleanFieldWithDefaultToCommand`

  ### Methods inherited from class tigase.vhosts.VHostItemExtension

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ID

    protected static final String ID
    See Also:
      - Constant Field Values

  - ### CA_CERT_PATH

    public static final String CA_CERT_PATH
    See Also:
      - Constant Field Values

  - ### CERT_REQUIRED

    public static final String CERT_REQUIRED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ClientTrustVHostItemExtension

    public ClientTrustVHostItemExtension()

- ## Method Details

  - ### getId

    public String getId()
    Description copied from interface: `VHostItemExtensionIfc`
    Unique identifier of the extension. It has to be a valid XML element name!
    Specified by:
      `getId` in interface `VHostItemExtensionIfc<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`

  - ### getCaCertPath

    public String getCaCertPath()

  - ### isCertRequired

    public Boolean isCertRequired()

  - ### initFromElement

    public void initFromElement(Element item)
    Description copied from interface: `VHostItemExtensionIfc`
    Method initializes instances of a class with values from the element which contains configuration loaded from the database. see VHostItemExtensionIfc::toElement()
    Specified by:
      `initFromElement` in interface `VHostItemExtensionIfc<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`
    Parameters:
      `item` - - provided element with data

  - ### initFromCommand

    public void initFromCommand(String prefix, Packet packet) throws IllegalArgumentException
    Description copied from interface: `VHostItemExtensionIfc`
    Method initializes instance of a class with values provided by the user using ad-hoc command.
    Specified by:
      `initFromCommand` in interface `VHostItemExtensionIfc<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`
    Parameters:
      `prefix` - - prefix for data for fields added by this extension
      `packet` - - stanza with submitted ad-hoc command form
    Throws:
      `IllegalArgumentException`

  - ### toDebugString

    public String toDebugString()
    Description copied from interface: `VHostItemExtensionIfc`
    Returns a string containing all information about the instance of the extension useful for debugging.
    Specified by:
      `toDebugString` in interface `VHostItemExtensionIfc<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`

  - ### toElement

    public Element toElement()
    Description copied from interface: `VHostItemExtensionIfc`
    Method serializes data stored by this instance to element which will be then stored in the database. Element name should be equal to the extension id.
    Specified by:
      `toElement` in interface `VHostItemExtensionIfc<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`

  - ### addCommandFields

    public void addCommandFields(String prefix, Packet packet, boolean forDefault)
    Description copied from interface: `VHostItemExtensionIfc`
    Method adds custom extension fields to the ad-hoc form which will be sent to the user for filling with data required to create or update the VHost details.
    Specified by:
      `addCommandFields` in interface `VHostItemExtensionIfc<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`
    Parameters:
      `prefix` - - prefix which should be used by each added field
      `packet` - - packet which will be sent to the user
      `forDefault` - - if true, we are preparing form for "default" configuration used by default by all vhosts.

  - ### initFromData

    public void initFromData(Map<String,Object> data)
    Specified by:
      `initFromData` in interface `VHostItemExtensionBackwardCompatible<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`

  - ### mergeWithDefaults

    public ClientTrustManagerFactory.ClientTrustVHostItemExtension mergeWithDefaults(ClientTrustManagerFactory.ClientTrustVHostItemExtension defaults)
    Description copied from class: `VHostItemExtension`
    Abstract method required to be implemented for merging values stored in this instance with default settings stored in the default virtual host item (global or default settings of the installation).
    Specified by:
      `mergeWithDefaults` in class `VHostItemExtension<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`
    Parameters:
      `defaults` - - instance of the extension with default values
    Returns:
      instance of the extension containing merged values